Subject: [pim] Query on C-RP-Adv

From: dhivya menon <[email-masked]>
Date: Tue, 8 Apr 2008 00:28:02 -0700 (PDT)

Hi, 
   
   I have a query on C-RP-Adv. 
   
   Q1:  If a C-RP is configured for 2 overlapping groups say 225/16 and 225/8, then in the Adv message initiated by the router will contain both the groups or either the smallest or the longest prefix.
   
  Q2:  According to my knowledge, BSR will not perform any RP selection. It gathers the RP information from the C-RP-Adv messages and form an RP-Set and floods it. RP selection based on priority or longest prefix happens on if a PIM router receives a Join for a particular group. I need a confirmation on this.
   
     Please help to resolve the above queries.
   
  Regards,
  Dhivya

[email-masked] wrote:
  Welcome to the [email-masked] mailing list!

To post to this list, send your email to:

[email-masked]

General information about the mailing list is at:

https://www.ietf.org/mailman/listinfo/pim

If you ever want to unsubscribe or change your options (eg, switch to
or from digest mode, change your password, etc.), visit your
subscription page at:

https://www.ietf.org/mailman/options/pim/dhivyaumenon%40yahoo.com

You can also make such adjustments via email by sending a message to:

[email-masked]

with the word `help' in the subject or body (don't include the
quotes), and you will get back a message with instructions.

You must know your password to change your options (including changing
the password, itself) or to unsubscribe. It is:

#$gauri12

Normally, Mailman will remind you of your ietf.org mailing list
passwords once every month, although you can disable this if you
prefer. This reminder will also include instructions on how to
unsubscribe or change your account options. There is also a button on
your options page that will email your current password to you.

---------------------------------
You rock. That's why Blockbuster's offering you one month of Blockbuster Total Access, No Cost.

_______________________________________________
pim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pim

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 8 Apr 2008 12:50:03 +0530

Hi Dhivya,

>  Q1:  If a C-RP is configured for 2 overlapping groups say 225/16 and
> 225/8, then in the Adv message initiated by the router will contain
> both the groups or either the smallest or the longest prefix.

If it is configured such a way, it should incorporate both group
prefixes.

> Q2:  According to my knowledge, BSR will not perform any RP selection.
> It gathers the RP information from the C-RP-Adv messages and form an
> RP-Set and floods it. RP selection based on priority or longest prefix
> happens on if a PIM router receives a Join for a particular group. I
> need a confirmation on this.

Yes. RP selection is done by the PIM Router. BSR helps in distributing
Group-RP set to all the PIM Routers.

Thanks,
Bharat

> ______________________________________________________________________

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely for the use of the addressee(s). If you are not the intended recipient, please notify the sender by e-mail and delete the original message. Further, you are not to copy, disclose, or distribute this e-mail or its contents to any other person and any such actions are unlawful. This e-mail may contain viruses. Infosys has taken every reasonable precaution to minimize this risk, but is not liable for any damage you may sustain as a result of any virus in this e-mail. You should carry out your own virus checks before opening the e-mail or attachment. Infosys reserves the right to monitor and review the content of all messages sent to or from this e-mail address. Messages sent to or from this e-mail address may be stored on the Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***
_______________________________________________
pim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pim

---

From: "Maneesh.Agarwal" <[email-masked]>
Date: Tue, 8 Apr 2008 14:03:02 +0530

Hello Dhivya,

Please find my response inline ...

Thanks,
-maneesh
________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of dhivya menon
Sent: Tuesday, 08 April, 2008 12:58 PM
To: [email-masked]
Subject: [pim] Query on C-RP-Adv

Hi,

MA> If configuration for overlapping groups is supported, BSR will include both GM information in the BSM. BSR doesn't do any such check about the prefix.

Section 1.2 of RFC 5059
RP-Set Formation.  The BSR selects a subset of the C-RPs that it has received C-RP-Adv messages from to form the RP-Set.  In general, it should do this in such a way that the RP-Set is neither so large that all the routers in the domain cannot be informed about it, nor so small that the load is overly concentrated on some RPs.  It should also attempt to produce an RP-Set that does not change frequently.

MA> Yes, you are correct.

Regards,
Dhivya

        [email-masked]

        [email-masked]

        #$gauri12

________________________________

You rock. That's why Blockbuster's offering you one month of Blockbuster Total Access <http://us.rd.yahoo.com/evt=47523/*http://tc.deals.yahoo.com/tc/blockbuster/text5.com> , No Cost.
"DISCLAIMER: This message is proprietary to Aricent  and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If you have received this message in error, 
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this email including damage from virus."